# Get Items

### Get many items&#x20;

## Returns an array of items

<mark style="color:blue;">`GET`</mark> `https://api.alturanft.com/api/v2/item`

You can add additional query parameters to filter documents by any property. i.e. `?name=Majd`

#### Query Parameters

| Name    | Type    | Description                                                                                                                                                                                                                 |
| ------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| perPage | Integer | <p>The number of items to return </p><p></p><p>(default: 24)</p>                                                                                                                                                            |
| page    | Integer | <p>The offset for returned items. Calculated as (page - 1) \* perPage</p><p></p><p>(default: 1)</p>                                                                                                                         |
| sortBy  | String  | <p>The field to sort the items by (any field in the item schema may be used)</p><p></p><p>(default: mintDate)</p>                                                                                                           |
| sortDir | String  | <p>Choose to sort in ascending (asc) or descending (desc) order</p><p></p><p>(default: desc)</p>                                                                                                                            |
| slim    | Boolean | <p>Returns a more condensed version of the items. Limits the item fields to: name, properties, tokenId, collectionAddress, supply, maxSupply, image, imageUrl, imageIndex, and imageCount</p><p></p><p>(default: false)</p> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "items": [
    {
      "collectionAddress": "0xc376976f9ed83c9e13dfd151fcbe16e7ce0b9767",
      "tokenId": 1,
      "name": " 1 - GOOSE",
      "properties": [
        
      ],
      "imageUrl": "https://altura-marketplace-1.s3.us-east-2.amazonaws.com/56-0xc376976f9ed83c9e13dfd151fcbe16e7ce0b9767-1_4e3ec0a3-a4e6-494c-a4e3-3cef75700843.gif",
      "description": "Goose base NFT"
    },
    {
      "collectionAddress": "0xb13f0d03e3e564d6713faae896b94edee1b26ab2",
      "tokenId": 5,
      "name": " AlturaMice #5 ",
      "properties": [
        
      ],
      "imageUrl": "https://altura-marketplace-1.s3.us-east-2.amazonaws.com/56-0xb13f0d03e3e564d6713faae896b94edee1b26ab2-5_63dc008c-fe1d-42d5-87f5-0435ea7c5df6.png",
      "description": "Part of the AlturaMice NFT collection - The SuperCool AlturaMice #5 - Only 4 will be minted"
    },
    {
      "collectionAddress": "0x3a6c44990e9dc17e6e52974acfb3af36ba941b30",
      "tokenId": 3548,
      "name": " AlturaNFT Ghosty + NFT Banner Image",
      "properties": [
        
      ],
      "imageUrl": "https://altura-marketplace-1.s3.us-east-2.amazonaws.com/56-0x3a6c44990e9dc17e6e52974acfb3af36ba941b30-3548_e5792357-d258-4fa2-803e-3acd750ae474.gif",
      "description": ""
    }
  ]
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Example: get all items from a collection</summary>

`/api/v2/item?collectionAddress=0x78e99615063da7c12c247e6bc01240da00df77ae&slim=true`

**Response**

```json
{
  "items": [
    {
      "name": "Viking Fox - Common",
      "properties": [
        {
          "_id": "618aabce0886bf0004ca16a9",
          "name": "Rarity",
          "value": "Common",
          "static": true
        }
      ],
      "tokenId": 1,
      "collectionAddress": "0x78e99615063da7c12c247e6bc01240da00df77ae",
      "supply": 1800,
      "maxSupply": 1800,
      "image": "https://ipfs.io/ipfs/Qmbv29YjEdcFR8GXJLH4FsLTo7GQzj1xRdBwKe23wTzBJq",
      "imageUrl": "https://altura-marketplace-1.s3.us-east-2.amazonaws.com/56-0x78e99615063da7c12c247e6bc01240da00df77ae-1_c1f87b2f-37b5-494d-bef0-0899bbb51357.png",
      "imageIndex": 3,
      "imageCount": 4
    },
    {
      "name": "Chef Fox - Common",
      "properties": [
        {
          "name": "Rarity",
          "value": "Common",
          "static": true
        }
      ],
      "tokenId": 2,
      "collectionAddress": "0x78e99615063da7c12c247e6bc01240da00df77ae",
      "supply": 1800,
      "maxSupply": 1800,
      "image": "https://ipfs.io/ipfs/QmNTuoAPTffe2vnE1Ks7G1MMDBmD24XGNypcCcTaJgXgry",
      "imageUrl": "https://altura-marketplace-1.s3.us-east-2.amazonaws.com/56-0x78e99615063da7c12c247e6bc01240da00df77ae-2_1e96ed76-931d-48ae-9f9b-5358cdbd6781.png",
      "imageIndex": 3,
      "imageCount": 4
    },
    ...
  ],
  "count": 25
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
